Subject: bug#59122: 29.0.50; global-text-scale-adjust not working

From: Gregory Heytings <[email-masked]>
Date: Wed, 09 Nov 2022 16:01:04 +0000

>
> Can you tell more?  I don't think I understand why decreasing the face 
> height by 5 doesn't work, but decreasing it by 6 does.  If you do 
> understand, please tell.
>

It's because of rounding.  Face heights on macOS are multiples of 10 (100 
for 10.0 pt, 110 for 11.0 pt, ...).  Setting the face height to 105 
actually sets it to 110.

So I think what we should do here is to check, after set-face-attribute, 
whether the face height has actually changed, and if not try again with a 
bigger increment.